GDB (xrefs)

Public Attributes | List of all members
exc_state Struct Reference

## Public Attributes
int | exception
int | code
int | subcode
mach_port_t | handler
mach_port_t | reply

## Detailed Description

Definition at line 156 of file gnu-nat.c.

## Member Data Documentation

## ◆ code

int exc_state::code

Definition at line 159 of file gnu-nat.c.

Referenced by inf_signal(), and S_exception_raise_request().

## ◆ exception

int exc_state::exception

Definition at line 158 of file gnu-nat.c.

Referenced by inf_signal(), and S_exception_raise_request().

## ◆ handler

mach_port_t exc_state::handler

Definition at line 160 of file gnu-nat.c.

Referenced by inf_clear_wait(), inf_signal(), make_inf(), and S_exception_raise_request().

## ◆ reply

mach_port_t exc_state::reply

Definition at line 161 of file gnu-nat.c.

Referenced by gnu_resume(), inf_clear_wait(), inf_signal(), make_inf(), proc_abort(), and S_exception_raise_request().

## ◆ subcode

int exc_state::subcode

Definition at line 159 of file gnu-nat.c.

Referenced by inf_signal(), and S_exception_raise_request().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/gnu-nat.c